routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/consulta', 'ConsultaController@consulta');
Route::get('/orden', 'ConsultaController@orden');

Auth::routes([ 'register' => false ]);

Route::get('/', 'HomeController@index')->name('home')->middleware('auth');
Route::get('/home', 'HomeController@index')->name('home')->middleware('auth');

Route::get('/ordens/filtro', 'OrdenController@filter')->middleware('auth');
Route::get('/ordens/buscar', 'OrdenController@search')->middleware('auth');
Route::get('/ordens/imprimir/{id}', 'OrdenController@imprimir')->middleware('auth');

Route::get('/precios/filtro', 'PrecioController@filter')->middleware('auth');

Route::get('/clientes/search', 'ClienteController@search')->middleware('auth');
Route::get('/clientes/buscar', 'ClienteController@buscar')->middleware('auth');
Route::get('/clientes/filtro', 'ClienteController@filter')->middleware('auth');

Route::resource('ordens','OrdenController')->middleware('auth');
Route::resource('clientes','ClienteController')->middleware('auth');
Route::resource('precios','PrecioController')->middleware('auth');
Route::resource('externos','ExternoController')->middleware('auth');
Route::resource('users','UserController')->middleware('auth');

app/Cliente.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Cliente extends Model
{
    //
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    protected $fillable = ['nombre', 'dni', 'celular', 'alternativo', 'email', 'domicilio'];

    public static function boot() {
        parent::boot();

        static::deleting(function($cliente) {
            // Borra las órdenes asociadas:
            // $cliente->ordens()->delete();
        });
    }

    public function ordens()
    {
        $ordens = $this->hasMany('App\Orden')->orderBy('updated_at', 'desc');
        //dd($ordens);
        return $ordens;
    }
}

app/Http/Controllers/ClienteController.php
<?php

namespace App\Http\Controllers;

use App\Cliente;
use App\Orden;
use Illuminate\Http\Request;

class ClienteController extends Controller
{
    public function __construct()
    {
        $this->middleware('rol:todos', ['only' => ['index', 'show', 'search', 'buscar', 'filter']]);
        $this->middleware('rol:admin|mostrador', ['only' => ['create', 'edit', 'store', 'update']]);
        $this->middleware('rol:admin', ['only' => ['destroy']]);
    }

    public function buscar()
    {
        //
        return view('clientes.buscar');
    }

    public function filter(Request $request)
    {
        $nombre = $request->input('nombre');
        $dni = $request->input('dni');
        $email = $request->input('email');
        $celular = $request->input('celular');
        $alternativo = $request->input('alternativo');
        $domicilio = $request->input('domicilio');
        
        $clientes = Cliente::
                when($nombre, function ($query, $nombre) {
                    return $query->where('nombre', 'LIKE', '%' . $nombre . '%');
                })
                ->when($dni, function ($query, $dni) {
                    return $query->where('dni', 'LIKE', '%' . $dni . '%');
                })
                ->when($celular, function ($query, $celular) {
                    return $query->where('celular', 'LIKE', '%' . $celular . '%');
                })
                ->when($alternativo, function ($query, $alternativo) {
                    return $query->where('alternativo', 'LIKE', '%' . $alternativo . '%');
                })
                ->when($email, function ($query, $email) {
                    return $query->where('email', 'LIKE', '%' . $email . '%');
                })
                ->when($domicilio, function ($query, $domicilio) {
                    return $query->where('domicilio', 'LIKE', '%' . $domicilio . '%');
                })
                ->orderBy('id', 'desc')->paginate(20);

        $filtrado = true;
        return view('clientes.index', compact('clientes', 'filtrado'));
    }

    public function search(Request $request)
    {
        $clientes = [];

        // Saca espacios al principio y al final, saca comas, convierte espacios múltiples en simples
        $string = preg_replace( '/\s+/', ' ', preg_replace('/[,]/', '', trim($request->input('buscar-cliente'))));
        
        if(is_numeric($string)) {
            $clientes = Cliente::where('dni', $string)
               ->orderBy('nombre', 'asc')
               ->take(100)
               ->orderBy('id', 'desc')->paginate(20);
            if($clientes->count() === 0) {
                $clientes = Cliente::where('celular', 'like', '%' . $string . '%')
               ->orderBy('nombre', 'asc')
               ->take(100)
               ->orderBy('id', 'desc')->paginate(20);
            }
            if($clientes->count() === 0) {
                $clientes = Cliente::where('alternativo', 'like', '%' . $string . '%')
               ->orderBy('nombre', 'asc')
               ->take(100)
               ->orderBy('id', 'desc')->paginate(20);
            }
        }else{
            $terminos = explode(' ', $string);

            foreach ($terminos as $index => $termino) {
                $queryTermino[$index] = '%'.$termino.'%';
                $queryNombre[] = ['nombre', 'like', $queryTermino[$index]];
            }
            $clientes = Cliente::where($queryNombre)->orderBy('nombre', 'asc')->take(100)->orderBy('id', 'desc')->paginate(20);

            if($clientes->count() === 0) {
                foreach ($terminos as $index => $termino) {
                    $queryTermino[$index] = '%'.$termino.'%';
                    $queryEmail[] = ['email', 'like', $queryTermino[$index]];
                }
                $clientes = Cliente::where($queryEmail)->orderBy('nombre', 'asc')->take(100)->orderBy('id', 'desc')->paginate(20);
            }

            if($clientes->count() === 0) {
                foreach ($terminos as $index => $termino) {
                    $queryTermino[$index] = '%'.$termino.'%';
                    $queryDomicilio[] = ['domicilio', 'like', $queryTermino[$index]];
                }
                $clientes = Cliente::where($queryDomicilio)->orderBy('nombre', 'asc')->take(100)->orderBy('id', 'desc')->paginate(20);
            }
        }
        
        if(count($clientes) === 1){
            return redirect()->action('ClienteController@show', ['id' => $clientes[0]['id']]);
        }else{
            $filtrado = true;
            return view('clientes.index', compact('clientes', 'filtrado'));
        }
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $clientes = Cliente::orderBy('id', 'desc')->paginate(20);
        $filtrado = false;
        return view('clientes.index', compact('clientes', 'filtrado'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('clientes.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $request->validate([
            'nombre' => 'required',
            'dni' => 'required',
            'celular' => 'required',
            'alternativo' => 'nullable', 
            'email' => 'nullable', 
            'domicilio' => 'nullable'
        ]);

        $cliente = Cliente::create($request->all());
        
        return redirect()->action('ClienteController@show', ['id' => $cliente->id])
            ->with('success', 'Cliente registrado correctamente');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Cliente  $cliente
     * @return \Illuminate\Http\Response
     */
    public function show(Cliente $cliente)
    {
        //
        $estados = Orden::listarEstados();
        return view('clientes.show', compact('cliente', 'estados'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Cliente  $cliente
     * @return \Illuminate\Http\Response
     */
    public function edit(Cliente $cliente)
    {
        //
        return view('clientes.edit',compact('cliente'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Cliente  $cliente
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Cliente $cliente)
    {
        //
        $request->validate([
            'nombre' => 'required',
            'dni' => 'required',
            'celular' => 'required',
            'alternativo' => 'nullable', 
            'email' => 'nullable', 
            'domicilio' => 'nullable'
        ]);
        $cliente->update($request->all());
        return redirect()->action('ClienteController@show', ['id' => $cliente->id])
                         ->with('success','Los datos del cliente fueron modificados correctamente');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Cliente  $cliente
     * @return \Illuminate\Http\Response
     */
    public function destroy(Cliente $cliente)
    {
        //
        $cliente->delete();
        return redirect('clientes')->with('success','El cliente fue borrado correctamente');
        
    }
}

resources/views/clientes/buscar.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Buscar cliente</h2><br />
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div><br />
    @endif
    <form method="get" action="{{action('ClienteController@filter')}}">
        <div class="row">
            <div class="form-group col-lg-6">
                <label for="nombre">Nombre:</label>
                <input type="text" class="form-control" name="nombre">
            </div>
            <div class="form-group col">
                <label for="dni">DNI:</label>
                <input type="text" class="form-control" name="dni">
            </div>
            
        </div>

        <div class="row">
            <div class="form-group col-lg-6">
                <label for="celular">Celular:</label>
                <input type="text" class="form-control" name="celular">
            </div>
            <div class="form-group col-lg-6">
                <label for="alternativo">Alternativo:</label>
                <input type="text" class="form-control" name="alternativo">
            </div>
        </div>

        <div class="row">
            <div class="form-group col">
                <label for="domicilio">Domicilio:</label>
                <input type="text" class="form-control" name="domicilio">
            </div>
            <div class="form-group col-lg-6">
                <label for="email">Correo electrónico:</label>
                <input type="text" class="form-control" name="email">
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div class="form-group col">
                    <button type="submit" class="btn btn-success">Buscar cliente</button>
                    <button class="btn btn-outline-secondary restablecer-formulario">Restablecer</button>
                </div>
            </div>
        </div>
    </form>
</div>
@endsection

resources/views/clientes/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Registrar nuevo cliente</h2><br  />
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div><br />
    @endif
    @if (\Session::has('success'))
    <div class="alert alert-success">
        <p>{{ \Session::get('success') }}</p>
    </div><br />
    @endif
    <form method="post" action="{{url('clientes')}}">
        {{csrf_field()}}
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4 required">
                <label for="nombre">Nombre:</label>
                <input required type="text" class="form-control" name="nombre">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4 required">
                <label for="dni">DNI:</label>
                <input required type="text" class="form-control" name="dni">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4 required">
                <label for="celular">Celular/Principal:</label>
                <input required type="text" class="form-control" name="celular">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4">
                <label for="alternativo">Alternativo:</label>
                <input type="text" class="form-control" name="alternativo">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4">
                <label for="email">Correo electrónico:</label>
                <input type="text" class="form-control" name="email">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4">
                <label for="domicilio">Domicilio:</label>
                <input type="text" class="form-control" name="domicilio">
            </div>
        </div>
        <div class="row">
            <div class="col-md-4"></div>
            <div class="form-group col-md-4">
            <button type="submit" class="btn btn-success" style="margin-left:38px">Registrar cliente</button>
            </div>
        </div>
    </form>
</div>
@endsection

resources/views/clientes/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Editar cliente</h2><br  />
    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div><br />
    @endif
    <form method="post" action="{{action('ClienteController@update', $cliente->id)}}">
    {{csrf_field()}}
    <input name="_method" type="hidden" value="PATCH">
    <div class="row">
        <div class="form-group col-md-6  mx-auto required">
        <label for="nombre">Nombre:</label>
        <input required type="text" class="form-control" name="nombre" value="{{$cliente->nombre}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto required">
        <label for="dni">DNI:</label>
        <input required type="text" class="form-control" name="dni" value="{{$cliente->dni}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto required">
        <label for="celular">Celular/Principal:</label>
        <input required type="text" class="form-control" name="celular" value="{{$cliente->celular}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto">
        <label for="alternativo">Alternativo:</label>
        <input type="text" class="form-control" name="alternativo" value="{{$cliente->alternativo}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto">
        <label for="email">Correo Electrónico:</label>
        <input type="text" class="form-control" name="email" value="{{$cliente->email}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto">
        <label for="domicilio">Domicilio:</label>
        <input type="text" class="form-control" name="domicilio" value="{{$cliente->domicilio}}">
        </div>
    </div>
    <div class="row">
        <div class="form-group col-md-6  mx-auto">
        <button type="submit" class="btn btn-success" style="margin-left:38px">Modificar cliente</button>
        </div>
    </div>
    </form>
</div>
@endsection

resources/views/clientes/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col">
            <div class="btn-group">
                <a class="btn btn-success" href="{{ action('ClienteController@create') }}">Registrar nuevo cliente</a>
                <a class="btn btn-primary" href="{{ action('ClienteController@buscar') }}">Búsqueda avanzada</a>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col my-2">
            @if ($filtrado)
            <a type="button" class="btn btn-outline-primary" href="{{ route('clientes.index') }}">Eliminar filtros</a>
            @endif
        </div>
    </div>
</div>
    @if (\Session::has('success'))
        <div class="alert alert-success d-block">
            <p>{{ \Session::get('success') }}</p>
        </div><br />
    @endif
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>DNI</th>
                    <th>Celular</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
            @foreach($clientes as $cliente)
                <tr>
                    <td><a href="{{ route('clientes.show',$cliente['id']) }}">{{$cliente['nombre']}}</a></td>
                    <td>{{$cliente['dni']}}</td>
                    <td>{{$cliente['celular']}}</td>
                    <td>
                        <div class="btn-group" role="group" aria-label="Acciones">
                            <a href="{{action('ClienteController@show', $cliente['id'])}}" class="btn btn-info btn-sm">Ver</a>
                            <a href="{{action('ClienteController@edit', $cliente['id'])}}" class="btn btn-warning btn-sm">Editar</a>
                            <form onsubmit="return confirm('¿Realmente desea borrar al cliente? No borrará las órdenes asociadas.');" action="{{action('ClienteController@destroy', $cliente['id'])}}" method="post" class="d-inline-block confirm-needed">
                                {{csrf_field()}}
                                <input name="_method" type="hidden" value="DELETE">
                                <button class="btn btn-danger btn-sm" type="submit">Borrar</button>
                            </form>
                        </div>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection

resources/views/clientes/ordensDisplay.blade.php
<div class="row">
    <div class="col">
        @foreach($ordens as $orden)
        <div class="card my-4 orden">
            <a href="{{ action('OrdenController@show', $orden['id']) }}" class="link-unstyled">
                @include('ordens.estados.card-header', ['id'=>$orden['id'], 'estado' => $orden['estado']])
            </a>

            <div class="card-body">
                <h5 class="card-title">Producto: <strong>{{ $orden->producto }}</strong></h5>

                <h6 class="card-subtitle mb-2 text-muted">
                    <span>{{ $orden->marca }}</span> /
                    <span>{{ $orden->modelo }}</span> /
                    <span>{{ $orden->serie }}</span> 
                </h6>

                <p class="card-text"><strong>Problema:</strong> {!! nl2br($orden->problema) !!}</p>

                <p class="card-text"><strong>Accesorios y observaciones:</strong> {!! nl2br($orden->observaciones) !!}</p>
            </div>
            
            <ul class="list-group list-group-flush">
                <li class="list-group-item"><strong>Ubicación:</strong> {!! nl2br($orden->ubicacion) !!}</li>
                <li class="list-group-item"><strong>Seguimiento:</strong> {!! nl2br($orden->seguimiento) !!}</li>
                <li class="list-group-item">
                    <strong>Revisión:</strong> {!! nl2br($orden->revision) !!} <br>
                    <em>Fecha: {{ $orden->fecha_revision }}</em> <br>
                    @if (!empty($orden->tecnico_user->name))
                    <strong>Técnico:</strong> {{ $orden->tecnico_user->name }} <br>
                    @endif
                    
                    @if (!empty($orden->en_garantia))
                        @if ($orden->en_garantia)
                        <strong class="text-danger">Entró por garantía</strong>
                        @else
                        <strong class="text-warning">No entró por garantía</strong>
                        @endif
                    @endif
                </li>
                <li class="list-group-item">
                    <strong>Presupuesto:</strong> {!! nl2br($orden->presupuesto) !!} <br>
                    <em>Fecha: {{ $orden->fecha_presupuesto }}</em> <br>
                    @if (!empty($orden->admin_user->name))
                    <strong>Presupuestado por:</strong> {{ $orden->admin_user->name }} <br>
                    @endif
                    
                    @if ($orden->permitir_consultas)
                    <strong>Consulta web permitida</strong>
                    @else
                    <strong class="text-warning">Consulta web no permitida</strong>
                    @endif
                </li>
                <li class="list-group-item">
                    <em>Registrado el: {{ $orden->created_at->format('d/m/Y') }}</em> <br>
                    <em>Retirado el: {{ $orden->retirado_at ? $orden->retirado_at->format('d/m/Y') : '-' }}</em>
                </li>
            </ul>

            <div class="card-footer">
                <span class="float-left">Registrado por: {{ $orden->mostrador_user->name }}</span>
                

                <a class="btn btn-sm btn-warning float-right" href="{{ action('OrdenController@edit', $orden['id']) }}">Editar</a>
                <a class="btn btn-sm btn-info float-right mr-1" href="{{ action('OrdenController@imprimir', $orden['id']) }}">Imprimir</a>
                <form onsubmit="return confirm('¿Realmente desea borrar la orden?');" action="{{action('OrdenController@destroy', $orden['id'])}}" method="post" class="d-inline-block confirm-needed float-right mr-1">
                    {{csrf_field()}}
                    <input name="_method" type="hidden" value="DELETE">
                    <button class="btn btn-danger btn-sm" type="submit">Borrar</button>
                </form>
            </div>
        </div>
        @endforeach 
    </div>
</div>

resources/views/clientes/show.blade.php
@extends('layouts.app')

@section('content')
<div class="container justify-content-center">
    <div class="row">
        <div class="col">
            <div class="btn-group">
                <a class="btn btn-secondary" href="{{ route('clientes.index') }}">Lista de clientes</a>
                <a class="btn btn-warning" href="{{ action('ClienteController@edit', $cliente['id']) }}">Editar este cliente</a>
            </div>
        </div>
    </div>
    <div class="row">
        @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div><br />
        @endif
        @if (\Session::has('success'))
        <div class="alert alert-success">
            <p>{{ \Session::get('success') }}</p>
        </div><br />
        @endif
    </div>

    <div class="row">
        <div class="col">
            <h2>Ficha del cliente:</h2>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>Nombre:</strong>
                {{ $cliente->nombre }}
            </div>
        </div>
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>DNI:</strong>
                {{ $cliente->dni }}
            </div>
        </div>
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>Celular/Principal:</strong>
                {{ $cliente->celular }}
            </div>
        </div>
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>Alternativo:</strong>
                {{ $cliente->alternativo }}
            </div>
        </div>
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>Correo electrónico:</strong>
                {{ $cliente->email }}
            </div>
        </div>
        <div class="col-md-6 col-xl-4">
            <div class="form-group">
                <strong>Domicilio:</strong>
                {{ $cliente->domicilio }}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col">
            <a class="btn btn-primary {{(auth()->user()->rol=="admin"||auth()->user()->rol=="mostrador") ? '' : 'disabled' }}"  data-toggle="collapse" href="#registrar-orden" role="button" aria-expanded="false" aria-controls="registrar-orden">
                Registrar orden nueva
            </a>
            <div class="collapse" id="registrar-orden">
                <div class="card card-body">
                    <form method="post" action="{{ route('ordens.store') }}">
                        {{csrf_field()}}
                        <input type="hidden" name="cliente_id" value="{{ $cliente->id }}" />

                        <div class="row bg-cliente p-2">
                            <div class="form-group required col-lg-6">
                                <label for="producto">Producto:</label>
                                <input type="text" class="form-control" name="producto" required>
                            </div>
                            <div class="form-group required col-lg-6">
                                <label for="marca">Marca:</label>
                                <input type="text" class="form-control" name="marca" required>
                            </div>
                        </div>
                        <div class="row bg-cliente p-2">
                            <div class="form-group required col-lg-6">
                                <label for="modelo">Modelo:</label>
                                <input type="text" class="form-control" name="modelo" required>
                            </div>
                            <div class="form-group required col-lg-6">
                                <label for="serie">Serie:</label>
                                <input type="text" class="form-control" name="serie" required>
                            </div>
                        </div>
                        <div class="row bg-cliente p-2">
                            <div class="form-group required col">
                                <label for="problema">Problema:</label>
                                <textarea rows="4" class="form-control" name="problema" required></textarea>
                            </div>
                        </div>
                        <div class="row bg-cliente p-2">
                            <div class="form-group col">
                                <label for="observaciones">Accesorios y observaciones:</label>
                                <textarea rows="2" class="form-control" name="observaciones"></textarea>
                                
                                <div class="text-right mt-4"><span class="font-italic text-right">Visible para el cliente.</span></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col">
                                <label for="ubicacion">Ubicación:</label>
                                <textarea rows="2" class="form-control" name="ubicacion"></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col">
                                <button type="submit" class="btn btn-success">Registrar orden</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <hr />

            @include('clientes.ordensDisplay', ['ordens' => $cliente->ordens, 'cliente_id' => $cliente->id])
        </div>
    </div>
</div>
@endsection